Page MenuHomePhabricator

P2. Category support for Topic pages -- for translatewiki.net
Closed, ResolvedPublic3 Story Points

Description

When the user adds a category tag in the topic summary of a thread, that thread's Topic page is added to the category. This includes both adding the category tag and adding a template that includes a category tag.

On the Topic page, the category should appear at the bottom of the page, as it does on other namespaces.

In the category list, the thread should appear in the < Topic title on Board name > form that we use in contributions and watchlist.

This involves categorizing Topic pages, and putting a custom interface on the category page so it doesn't just appear as Topic:S842ge5q4ggyxzwf .

Event Timeline

DannyH created this task.Jan 28 2015, 8:06 PM
DannyH raised the priority of this task from to Needs Triage.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2015, 8:06 PM
Mattflaschen-WMF renamed this task from Category support for Topic pages -- for Translatewiki -- actual spec after lunch to Category support for Topic pages -- for Translatewiki.Jan 28 2015, 8:18 PM
Mattflaschen-WMF renamed this task from Category support for Topic pages -- for Translatewiki to [3] Category support for Topic pages -- for Translatewiki.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF edited a custom field.
DannyH updated the task description. (Show Details)Jan 28 2015, 9:38 PM

Is this task related to some underlying software project, like Flow? If so, associating that project is very welcome. :)

Nikerabbit renamed this task from [3] Category support for Topic pages -- for Translatewiki to [3] Category support for Topic pages -- for translatewiki.net.Jan 30 2015, 3:08 AM
DannyH renamed this task from [3] Category support for Topic pages -- for translatewiki.net to [3] P2. Category support for Topic pages -- for translatewiki.net.Jan 30 2015, 6:37 PM
EBernhardson triaged this task as Normal priority.

How should this appear on the topic and header?

gerritbot added a subscriber: gerritbot.

Change 188307 had a related patch set uploaded (by EBernhardson):
Category support for topic summary and header

https://gerrit.wikimedia.org/r/188307

Patch-For-Review

Change 188308 had a related patch set uploaded (by EBernhardson):
Update references on topic moderation change

https://gerrit.wikimedia.org/r/188308

Patch-For-Review

Change 188309 had a related patch set uploaded (by EBernhardson):
Handle CategoryViewer hooks for prettier output

https://gerrit.wikimedia.org/r/188309

Patch-For-Review

Change 188310 had a related patch set uploaded (by EBernhardson):
Allow override of page disply within CategoryViewer

https://gerrit.wikimedia.org/r/188310

Patch-For-Review

DannyH renamed this task from [3] P2. Category support for Topic pages -- for translatewiki.net to P2. Category support for Topic pages -- for translatewiki.net.Feb 3 2015, 6:52 PM

@DannyH How should this appear on the Header-area? (possibly Pau's input needed)

Change 188307 merged by jenkins-bot:
Category support for topic summary and header

https://gerrit.wikimedia.org/r/188307

Change 188308 merged by jenkins-bot:
Update references on topic moderation change

https://gerrit.wikimedia.org/r/188308

Change 188309 merged by jenkins-bot:
Handle CategoryViewer hooks for prettier output

https://gerrit.wikimedia.org/r/188309

Change 188310 merged by jenkins-bot:
Allow override of page disply within CategoryViewer

https://gerrit.wikimedia.org/r/188310

DannyH closed this task as Resolved.Feb 24 2015, 6:23 PM

Works on beta

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 3 2015, 5:26 AM